// automatically generated by the FlatBuffers compiler, do not modify

package com.demojsi.Demo;

import java.nio.*;
import java.lang.*;
import java.util.*;
import com.google.flatbuffers.*;

@SuppressWarnings("unused")
public final class Profile extends Table {
  public static void ValidateVersion() { Constants.FLATBUFFERS_2_0_0(); }
  public static Profile getRootAsProfile(ByteBuffer _bb) { return getRootAsProfile(_bb, new Profile()); }
  public static Profile getRootAsProfile(ByteBuffer _bb, Profile obj) { _bb.order(ByteOrder.LITTLE_ENDIAN); return (obj.__assign(_bb.getInt(_bb.position()) + _bb.position(), _bb)); }
  public void __init(int _i, ByteBuffer _bb) { __reset(_i, _bb); }
  public Profile __assign(int _i, ByteBuffer _bb) { __init(_i, _bb); return this; }

  public String userId() { int o = __offset(4); return o != 0 ? __string(o + bb_pos) : null; }
  public ByteBuffer userIdAsByteBuffer() { return __vector_as_bytebuffer(4, 1); }
  public ByteBuffer userIdInByteBuffer(ByteBuffer _bb) { return __vector_in_bytebuffer(_bb, 4, 1); }
  public double agentId() { int o = __offset(6); return o != 0 ? bb.getDouble(o + bb_pos) : -1.0; }
  public String nationality() { int o = __offset(8); return o != 0 ? __string(o + bb_pos) : null; }
  public ByteBuffer nationalityAsByteBuffer() { return __vector_as_bytebuffer(8, 1); }
  public ByteBuffer nationalityInByteBuffer(ByteBuffer _bb) { return __vector_in_bytebuffer(_bb, 8, 1); }
  public boolean fastLogin() { int o = __offset(10); return o != 0 ? 0!=bb.get(o + bb_pos) : false; }
  public String userName() { int o = __offset(12); return o != 0 ? __string(o + bb_pos) : null; }
  public ByteBuffer userNameAsByteBuffer() { return __vector_as_bytebuffer(12, 1); }
  public ByteBuffer userNameInByteBuffer(ByteBuffer _bb) { return __vector_in_bytebuffer(_bb, 12, 1); }

  public static int createProfile(FlatBufferBuilder builder,
      int userIdOffset,
      double agentId,
      int nationalityOffset,
      boolean fastLogin,
      int userNameOffset) {
    builder.startTable(5);
    Profile.addAgentId(builder, agentId);
    Profile.addUserName(builder, userNameOffset);
    Profile.addNationality(builder, nationalityOffset);
    Profile.addUserId(builder, userIdOffset);
    Profile.addFastLogin(builder, fastLogin);
    return Profile.endProfile(builder);
  }

  public static void startProfile(FlatBufferBuilder builder) { builder.startTable(5); }
  public static void addUserId(FlatBufferBuilder builder, int userIdOffset) { builder.addOffset(0, userIdOffset, 0); }
  public static void addAgentId(FlatBufferBuilder builder, double agentId) { builder.addDouble(1, agentId, -1.0); }
  public static void addNationality(FlatBufferBuilder builder, int nationalityOffset) { builder.addOffset(2, nationalityOffset, 0); }
  public static void addFastLogin(FlatBufferBuilder builder, boolean fastLogin) { builder.addBoolean(3, fastLogin, false); }
  public static void addUserName(FlatBufferBuilder builder, int userNameOffset) { builder.addOffset(4, userNameOffset, 0); }
  public static int endProfile(FlatBufferBuilder builder) {
    int o = builder.endTable();
    return o;
  }
  public static void finishProfileBuffer(FlatBufferBuilder builder, int offset) { builder.finish(offset); }
  public static void finishSizePrefixedProfileBuffer(FlatBufferBuilder builder, int offset) { builder.finishSizePrefixed(offset); }

  public static final class Vector extends BaseVector {
    public Vector __assign(int _vector, int _element_size, ByteBuffer _bb) { __reset(_vector, _element_size, _bb); return this; }

    public Profile get(int j) { return get(new Profile(), j); }
    public Profile get(Profile obj, int j) {  return obj.__assign(__indirect(__element(j), bb), bb); }
  }
}

